Network Information

Network Configuration

Chain ID

13000

RPC Endpoint

https://rpc.inceptionchain.io

WebSocket Endpoint

wss://ws.inceptionchain.io

Block Time

24 seconds

Available Methods

JSON-RPC Methods

Core Ethereum-compatible methods supported on Inception. All methods follow the JSON-RPC 2.0 specification.

Method Description Parameters
eth_blockNumber Get current block number None
eth_getBalance Get account balance in wei address, blockTag
eth_sendTransaction Submit signed transaction to network from, to, value, data, gas, gasPrice
eth_call Execute contract call without state change to, data, from, blockTag
eth_getTransactionReceipt Get transaction receipt and status transactionHash
eth_chainId Get current chain ID None
eth_gasPrice Get current gas price None
eth_estimateGas Estimate gas for transaction from, to, value, data
eth_getCode Get contract bytecode address, blockTag
eth_accounts Get list of accounts (if unlocked) None

JSON-RPC Request / Response Examples

Get Block Number
Get Balance
Get Transaction Receipt

Request:

{
  "jsonrpc": "2.0",
  "method": "eth_blockNumber",
  "params": [],
  "id": 1
}

Response:

{
  "jsonrpc": "2.0",
  "result": "0x1b4",
  "id": 1
}

Request:

{
  "jsonrpc": "2.0",
  "method": "eth_getBalance",
  "params": [
    "0x742d35Cc6634C0532925a3b844Bc9e7595f00000",
    "latest"
  ],
  "id": 2
}

Response:

{
  "jsonrpc": "2.0",
  "result": "0x0234c8a3b67f59c7",
  "id": 2
}

Request:

{
  "jsonrpc": "2.0",
  "method": "eth_getTransactionReceipt",
  "params": [
    "0xb903239f8543d04b5dc1ba6579132b143087c68db1b2168786408fcbce568238"
  ],
  "id": 3
}

Response:

{
  "jsonrpc": "2.0",
  "result": {
    "blockHash": "0x4e3a3754410177e6937ef1f84bba68ea139e8d1a2258c5aaac6ba1f8f6b8f1a2",
    "blockNumber": "0x1b4",
    "contractAddress": null,
    "cumulativeGasUsed": "0x50f",
    "from": "0xc99a6A985ED2Cac1ef41640596C5A5f9F4b19C60",
    "gasUsed": "0x21000",
    "logs": [],
    "logsBloom": "0x0",
    "status": "0x1",
    "to": "0x742d35Cc6634C0532925a3b844Bc9e7595f00000",
    "transactionHash": "0xb903239f8543d04b5dc1ba6579132b143087c68db1b2168786408fcbce568238",
    "transactionIndex": "0x0"
  },
  "id": 3
}

Rate Limits & Quotas

Free Tier

Up to 100 requests per minute per IP address. Suitable for development and testing.

Standard Tier

Up to 1,000 requests per minute with dedicated API key. Recommended for production applications.

Premium Tier

Unlimited requests with priority routing and dedicated support. Contact us for enterprise deployments.

WebSocket Connections

Up to 10 concurrent connections per API key. Each connection supports multiple subscriptions.

24/7 API Availability

Our API is built for reliability and performance with 99.9% uptime guarantee.

Explore the Network

View transactions, blocks, contracts, and addresses on our block explorer powered by Inception's transparent infrastructure.

Open Block Explorer